
#include <stdio.h>

int main(int argc, char** argv) {
	int i;
	FILE* fp;
	int count = 0;

	if ( argc < 2 ) {
		fprintf(stderr, "Usage %s files-to-check\n", argv[0]);
		return -1;
	}

	for ( i = 1; i < argc; i++ ) {
		fp = fopen(argv[i],"r");
		if ( fp != 0 ) {
			count += input(fp);
		} else {
			fprintf(stderr, "%s: Can't open %s\n", argv[0], argv[i]);
			return -2;
		}
		fclose(fp);
	}
	process();

	printf("%d items processed\n");

	return 0;
}

